Skip to main content
POST
/api/v1/image/upscale

مجموعة Postman

للمزيد من الأمثلة، يرجى مراجعة مجموعة Postman هذه.

التفويضات

Authorization
string
header
مطلوب

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

الجسم

Upscale an image to a higher resolution.

image
مطلوب

The image to upscale. Can be either a file upload or a base64-encoded string. Image dimensions must be at least 65536 pixels and final dimensions after scaling must not exceed 16777216 pixels. File size must be less than 25MB.

creativity
number | null
افتراضي:0.01

How much detail and texture the upscaler adds. Higher values add more; lower values stay closer to the source. Clamped to the 0–0.02 range.

مثال:

0.01

scale
number
افتراضي:2

The scale factor for upscaling the image. Must be either 2 or 4. A scale of 4 with large images will result in the scale being dynamically reduced to ensure the final image stays within the maximum size limits.

النطاق المطلوب: 2 <= x <= 4
مثال:

2

الاستجابة

OK

The response is of type file.